Maintenance¶
Endpoints related to maintenance.
- GET /modeler-command/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /modeler-command/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /modeler-command/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /modeler-command/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- DELETE /modeler-command/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
- GET /maintenance-instruction-report/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested maintenance instruction report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The report payload failed validation for the work instruction report type or threshold rules.
- POST /maintenance-instruction-report/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested maintenance instruction report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The report payload failed validation for the work instruction report type or threshold rules.
- Response Headers:
Location – URI of the created resource
- GET /maintenance-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested maintenance instruction report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The report payload failed validation for the work instruction report type or threshold rules.
- PUT /maintenance-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested maintenance instruction report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The report payload failed validation for the work instruction report type or threshold rules.
- DELETE /maintenance-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested maintenance instruction report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The report payload failed validation for the work instruction report type or threshold rules.
- GET /work-checklist/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The Work Checklist cannot be found.
403 Forbidden – Unauthorized: You do not have the necessary permissions to complete the request.
- GET /work-checklist/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The Work Checklist cannot be found.
403 Forbidden – Unauthorized: You do not have the necessary permissions to complete the request.
- DELETE /work-checklist/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – RecordNotFound: The Work Checklist cannot be found.
403 Forbidden – Unauthorized: You do not have the necessary permissions to complete the request.